import { type ILocalizationService, type LoadFunction, type LoadResult, type Locale, type ServiceConfig } from './service.svelte.js';
export type ImportLoadResult = {
    default: LoadResult;
};
export type ImportLoads = Record<string, () => Promise<ImportLoadResult>>;
export type ImportLoadFactory = (importFilePath: string) => LoadFunction;
export type FactoryConfig = {
    readonly browser: boolean;
    readonly contextName: string;
    readonly importDirPath: string;
    readonly importLoads: ImportLoads;
};
export interface ILocalizationFactory {
    readonly availableLocales: Locale[];
    configure(config: FactoryConfig): void;
    setCommonServiceConfig(config: ServiceConfig): void;
    importLoaderFactory(): ImportLoadFactory;
    setContextService(service: ILocalizationService): void;
    getContextService(): ILocalizationService;
    initialLoadLocalizations(config: Partial<ServiceConfig>, pathname: string): Promise<ILocalizationService>;
}
export declare function importLoadFactory(importDirPath: string, importLoads: ImportLoads): ImportLoadFactory;
export declare const LocalizationFactory: ILocalizationFactory;
